
/* Content global styles */

html, body {
    margin: 0;
    padding: 0;
    padding-top: 70px;
    font-family: 'Times New Roman', Times, serif;
}
.content {
    height: 30vh;
    margin: 10px;
    background: linear-gradient(
        to bottom, 
        white 0%,
         
        rgba(41, 197, 176, 0.209) 2%, 
        rgba(43, 210, 188, 0.137) 80%, 
        white 100%
);
    
}

.content .text {
    color: rgba(11, 106, 93, 0.945);
    flex: 1;
    min-width: 280px;
    
    
}


.content h2 {
    font-size: 2rem;
    color: rgba(11, 106, 93, 0.945);
    margin: 0;
    margin-top: 40px;
}



/* Header styles */
header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;

    background-color: #ffffff;
    padding: 30px 60px;
    border-bottom: 2px solid #ddd;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
   
}


.header-left {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

header h1 {
    font-size: 1.5rem;
    color: #055d4a;
    margin: 5px;
    
}

header p {
    padding: 0;
    padding-left: 12px;
    margin: 0;
    color: #055d4a;
    ;
    

}

/* Navigation right */
nav {
    display: flex;
    align-items: center;
}

nav ul.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
    margin: 0;
    padding: 0;
}

nav ul.nav-links li a {
  text-decoration: none;
  color: #055d4a;
  font-weight: bold;
  transition: color 0.3s ease;
  
}

nav ul.nav-links li a:hover {
  color: #05967e;
}

nav ul.nav-links li a.active {
  color: #01695f;
  border-bottom: 2px solid #01695f;
}



/* Frontpage styles*/

.hero-section {
  
  width: 90vw;
  margin: auto;
  padding: 20px;

  background-image: url('./Photos/Maisema2_toolo.JPG');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  text-align: center;
  border-radius: 12px;  
  box-shadow: 0 4px 15px rgba(0,0,0,0.2); 
  overflow: hidden; 
}

.hero-section h1 {
    color: white;
    font-size: 3rem;
    font-weight: bold;
    line-height: 1.2;
    margin: 0;
    
}

.hero-buttons {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    max-width: 500px;
    padding: 0 20px;
    box-sizing: border-box;
    margin-top: 10px;
  }

/* CTA-pbuttons */
.cta-button {
    background-color: rgba(0, 64, 128, 0.315); 
    color: white;  
    padding: 12px 24px;
    border-radius: 6px;
    text-decoration: none;
    font-weight: bold;
    transition: background-color 0.3s ease, color 0.3s ease;
    box-shadow: 0 4px 10px rgba(0, 106, 93, 0.3); 
    border: 2px solid white; 
    flex: 1 1 45%;
    text-align: center;
    min-width: 140px;
}

.cta-button:hover {
    background-color: rgba(255, 255, 255, 0.068);
    color: white;  
    border-color: rgba(255, 255, 255, 0.712);
}

.lower-content {
    background-color: #0204663d; 
    padding: 20px 30px;     
    max-width: 110vh;      
    margin: 60px ;      
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15); 
    border-radius: 8px;     
    color: #ffffff;        
    font-size: 1.5rem;
    line-height: 1.5;
    font-family: 'Open sans' sans-serif;
}



/* palvelut styles*/

.upper-content {
    display: flex;
    flex-direction: column;     
    justify-content: center;    
    align-items: center;                
    text-align: center;
    height: auto;
}

.upper-content .text {
    color: rgba(11, 106, 93, 0.945);
    font-size: 1.5rem;
    flex: 1;
    min-width: 280px;
    
}

.upper-content h2 {
    font-size: 50px;
    
}

.upper-content p {
  font-size: 1.3rem;
  color: rgba(11, 106, 93, 0.945);
  margin-bottom: 10px;
  
}


/* Section styles (Palvelumme-list) */
.service-section {
  max-width: 900px;
  margin: auto;
}


.service-card {
  border: 1px solid #e0e0e0;
  border-radius: 10px;
  margin-bottom: 20px;
  overflow: hidden;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
  background: #fff;
}

.accordion {
  background: none;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 20px;
  width: 100%;
  text-align: left;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.2rem;
  font-weight: bold;
  color: #01695f;
}

.accordion .icon {
  font-size: 1.5rem;
  transition: transform 0.3s ease;
}

.panel {
  display: none;
  padding: 0 20px 20px;
  font-size: 1rem;
  color: #333;
}

.service-card.open .panel {
  display: block;
}

.service-card.open .icon {
  transform: rotate(45deg); /* + -> x */
}

.service-section h2{
    text-align: center;
    font-size: 3rem;
    color: rgba(11, 106, 93, 0.945);
    margin-bottom: 0px;
}

.service-section p{
    text-align: left;
    color: black;
    margin-top: 0px;
    line-height: 1.5;
    margin-bottom: 1.8em;
    font-size: 1.2rem;
    
   
}

.service-section blockquote{
  text-align: center;
  margin: 0 10px 20px ;
  font-size: medium;
}

.service-section img{
  display: block;
  margin: auto;
  width: 80%;
  padding-bottom: 40px;

}


/*  Henkilökunta  */
.content-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 1200px; 
  margin: 0 auto;
  padding: 40px 20px; 
  text-align: center;
}

.content-wrapper p {
  max-width: 100%;
  margin: 20px;
  padding: 20px 0;
  font-size: 1.1rem;
  color: #333;
  
}

.staff-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 100px;
  margin-top: 40px;
}

.staff-card {
  position: relative;
  width: 25%;
  max-width: 600px;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.2);
}

.staff-card img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}


.staff-text {
  position: absolute;
  bottom: 0; 
  width: 100%;
  background: rgb(94, 94, 94); 
  color: white;
  padding: 10px 0;
  text-align: center;
}

.staff-text h2 {
  margin: 0;
  padding: 2px 0;
}

.staff-card h6 {
  position: static;
  top: 10px;
  left: 0;
  right: 0;
  text-align: center;
  color: white;
  font-size: 0.9rem;
  background:rgb(94, 94, 94);
  padding: 0;
  margin: 0;
 
}


/* Ajanvaraus styles*/

.contact-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  gap: 3rem;
  padding: 2rem;
  max-width: 1200px;
  margin: auto;
}

/* Kuvan ja osoitteen laatikko */
.image-box {
  flex: 1 1 350px;
  max-width: 400px;
  text-align: center;
}

.image-box img {
  width: 100%;
  height: auto;
  border-radius: 12px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  margin-bottom: 1rem;
}

.image-box p {
  font-size: 1rem;
  color: #333;
  line-height: 1.5;
  padding: 0 1rem;
}

/* Aukioloajat & puhelin */
.text-box {
  flex: 1 1 350px;
  max-width: 500px;
  text-align: center;
}

.text-box h3 {
  font-size: 1.5rem;
  color: #000000;
  line-height: 1.6;
  margin-bottom: 1rem;
}

.text-box h4 {
  font-size: 1rem;
  color: #444;
}

/* Otsikko ylhäällä */
.upper-cont h2 {
  text-align: center;
  font-size: 2.5rem;
  margin: 2rem auto 1rem auto;
  color: #01695f;
}

/* Varaa aika -osio */
.bookin-page {
  text-align: center;
  margin-bottom: 80px;
}



.bookin-page h3 {
  font-size: 1.9rem;
  margin: auto;
  color: #01695f;
  margin-bottom: 1rem;
}
.bookin-page p {
  font-size: 1rem;

}

/* Ajanvaraus adress and map*/
.bottom-content h1 {
  margin: auto;
  color: #01695f;
  margin-bottom: 1rem;
}
.bottom-content {
  text-align: center;
}

.bottom-content h3 {
  font-size: 1.5rem;
  margin-bottom: 0.75rem;
}

.google-map {
  width: 100%;
  height: 450px;
  border: none;
}

.map-container {
  max-width: 800px;
  margin: 0 auto;
}



/* Kaikki linkit */
.bookin-page a {
  font-size: 1rem;
  font-weight: 500;
  color: white;
  text-decoration: none;
  padding: 0.75rem 1.5rem;
  border-radius: 5px;
  transition: background-color 0.3s ease;
  display: inline-block;
  margin: 0.5rem;
}

/* Erilliset napit */
.book-button {
  background-color:#03675e;
  min-width: 30vh;
}

.book-button:hover {
  background-color: #049387;
}


/* footer styles */

.footer {
    background-color: #f0f0f0;
    color: #333;
    padding: 20px 0;
    text-align: center;
    font-size: 0.95rem;
    border-top: 2px solid #ccc;
    margin-top: 40px;
}


.footer a {
    color: #004080;
    text-decoration: none;
    font-weight: 500;
    transition: color 0.3s ease;
}

.footer p {
    color: rgba(11, 106, 93, 0.945);
}

.footer a:hover {
    color: #0066cc;
}

.footer ul {
    list-style: none;
    padding: 0;
    margin-top: 10px;
}

.footer ul li {
    display: inline;
    margin: 0 10px;
}

/* Omavalvontasuunnitelma*/

.long-text {
  max-width: 1000px;         
  margin: 0 auto;            
  padding: 40px 20px;
  text-align: left;          
  line-height: 1.75;
  margin-bottom: 2rem;    
  font-family: 'open sans' sans-serif;    
}


.long-text a {
  color: #02178f;
  text-decoration: underline;  
}

.long-text h5 {
  margin: 1.5rem 0 1rem 0;    
  font-size: 1.1rem;
  font-weight: 600;
}
.upper-content h1 {
    color: rgba(11, 106, 93, 0.945);
    font-size: 3rem;
    flex: 1;
    min-width: 280px;
    
}

/*Hinnasto */

.container {
  max-width: 900px;
  margin: 2rem auto;
  padding: 1rem;
  background-color: #fff;
  border-radius: 12px;
  box-shadow: 0 0 10px rgba(0,0,0,0.9);
}

/* title */
.container h1 {
  text-align: center;
  color: #01695f;
  font-size: 3rem;
}
.container h3 {
  text-align: center;
  color:#049387;
  font-size: 1.3rem;
}

/* Taulukko */
.price-table {
    min-width: 700px;
    margin: 2rem auto; /* keskittää taulukon */
    border-collapse: collapse;
    border-radius: 12px;
    overflow: hidden; /* tarvitaan pyöristykselle */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.9); /* varjo */
    background-color: #ffffff;
}


.price-table th {
  background-color: #01695f;
  color: white;
}


.table-wrapper {
  overflow-x: auto;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  width: 100%;
  margin-bottom: 1.5rem;
}


.price-table th, .price-table td {
  border: 1px solid #ccc;
  padding: 1rem;
  text-align: left;
  white-space: nowrap;
}



/* Huomautusteksti */
.note {
  text-align: center;
  font-size: 1.2rem;
  color: #555;
}


/* HAMBURGER TOGGLE MENU*/ 
.menu__btn,
.menu__box {
  display: none;
}

.desktop-nav {
  display: block;
}

#menu__toggle {
  display: none;
}

.menu__btn {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 2;
}

.menu__btn span,
.menu__btn span::before,
.menu__btn span::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 3px;
  background: #333;
  transition: 0.3s;
}

.menu__btn span::before {
  top: -8px;
}

.menu__btn span::after {
  top: 8px;
}

#menu__toggle:checked + .menu__btn span {
  transform: rotate(45deg);
}

#menu__toggle:checked + .menu__btn span::before {
  top: 0;
  transform: rotate(0deg);
}

#menu__toggle:checked + .menu__btn span::after {
  top: 0;
  transform: rotate(90deg);
}

.menu__box {
  position: fixed;
  top: 0;
  right: -100%;
  width: 250px;
  height: 100%;
  background: #ECEFF1;
  list-style: none;
  padding: 80px 0;
  margin: 0;
  transition: right 0.3s;
  z-index: 1;
}

#menu__toggle:checked ~ .menu__box {
  right: 0;
}

.menu__item {
  display: block;
  padding: 12px 24px;
  color: #333;
  font-size: 18px;
  text-decoration: none;
}

.menu__item:hover {
  background: #CFD8DC;
}

@media (max-width: 820px) {
  .menu__btn,
  .menu__box {
    display: block;
  }

  .desktop-nav {
    display: none;
  }
}

/*Header tabletit ja mobiili */
@media (max-width: 820px) {
  header {
    flex-direction: column;
    align-items: flex-start;
  }

  nav ul.nav-links {
    display: none;
    flex-direction: column;
    width: 100%;
    margin-top: 10px;
  }

  nav ul.nav-links.show {
    display: flex;
  }
 
}


@media (max-width: 400px) {
  
  header {
    display: flex;
    flex-direction: row; 
    justify-content: space-between;
    align-items: center;
    width: 90%;
    padding: 10px 20px;
  }

  nav ul.nav-links {
    display: none;
    flex-direction: column;
    width: 100%;
    margin-top: 10px;
  }

  nav ul.nav-links.show {
    display: flex;
  }

  .content h1 {
    font-size: 2rem;
    
  }
  
}

/* Tabletit */
/*Etusivu */
@media (max-width: 950px) {
  .hero-section {
    height: auto;
    padding-bottom: 30px;
  }

  .hero-buttons {
    max-width: 400px;
  }

  .cta-button {
    flex: 1 1 48%;
    padding: 10px 20px;
  }

  /* Palvelut tablet */
  .content{
    padding: 15px;
    height: auto;
  }
  .upper-content h2 {
    font-size: 30px;
    text-align: center;
  }
  

  .upper-content p {
    font-size: 1rem;
    text-align: center;
  }

  .service-section h2 {
    font-size: 2.2rem;
    text-align: center;
  }

  .service-section img {
    margin-top: 30px;
    width: 80%;
  }
  .service-card{
    margin: 10px auto;
    width: 90%;
  }

  .accordion {
    font-size: 1rem;
  }

  /* ajanvaraus tablet*/
   contact-row {
    flex-direction: column;
    padding: 1rem;
    gap: 2rem;
  }

  .image-box,
  .text-box {
    max-width: 60%;
    width: 100%;
    text-align: center;
  }

  .text-box h3 {
    font-size: 1.1rem;
    text-align: center;
  }

  .text-box h4 {
    font-size: 1rem;
    text-align: center;
  }

  .upper-cont h2 {
    font-size: 2rem;
    padding: 0 1rem;
  }

  .image-box img {
    max-width: 100%;
    height: auto;
  }
  .bottom-content h1 {
    font-size: 1.9rem;
  }

  /* Henkilökunta tablet*/
  .staff-card {
    width: 40%; 
  }

  .staff-text h2 {
    font-size: 1rem; 
  }

  .staff-card h6 {
    font-size: 0.8rem; 
  }
}
 

/* etusivu Mobiilit */
@media (max-width: 600px) {
 .hero-section {
    height: auto;
    width: 90vw;
    margin: 0 auto;
    padding-bottom: 20px;
  }

  .hero-buttons {
      flex-direction: column;
      width: 100%;
      align-items: center;
  }

  .cta-button {
    width: 90%;
    max-width: 300px;
    margin-bottom: 12px;
  }

  .cta-button:last-child {
    margin-bottom: 0;
  }

  .hero-section h1 {
    color: white;
    font-size: 1.5rem;
    font-weight: bold;
    line-height: 1.2;
    margin: 0;
  }

 /* Palvelut mobiili */
  .content{
    padding: 15px;
    
  }
  .upper-content h2 {
      font-size: 30px;
      text-align: center;
  }

 .staff-card {
    width: 100%;
  }

  .upper-content p {
      font-size: 1rem;
      margin: 10px;
  }

  .service-section h2 {
      font-size: 2rem;
  }
  .service-section img{
    width: 90%;
    padding-top: 0px;
    margin:auto;
  }
  .service-card{
    margin: 10px auto;
    width: 90%;
  }

  .accordion {
      font-size: 1rem;
  } 

  /* omavalvonta mobiili*/
   .upper-content h2 {
      font-size: 23px;
      text-align: center;
  }
  .upper-content h3 {
      font-size: 20px;
      text-align: center;
  }

  /*ajanvaraus mobiili*/

  .contact-row {
    flex-direction: column;
    padding: 1rem;
    gap: 2rem;
  }

  .image-box,
  .text-box {
    max-width: 100%;
    width: 100%;
    text-align: center;
  }

  .text-box h3 {
    font-size: 1.1rem;
    text-align: center;
  }

  .text-box h4 {
    font-size: 1rem;
    text-align: center;
  }

  .upper-cont h2 {
    font-size: 2rem;
    padding: 0 1rem;
  }

  .image-box img {
    max-width: 100%;
    height: auto;
  }
  .bottom-content h1 {
    font-size: 1.9rem;
  }

  /*Henkilökunta Mobile*/
  .staff-card {
    width: 98%; 
  }
    .staff-text h2 {
      font-size: 1.2rem;
  }

  .staff-card h6 {
    font-size: 1rem;
  }
  .upper-content h1 {
        font-size: 40px;
        text-align: center;
    }

}


